Developer Portal

List ProfilesGET

Return a list of client profiles based on the provided search, filter, and pagination criteria.

View as Markdown
GET
/profiles

Authorization

Authorization<token>

Bearer access token issued by the admin login flow.

In: header

Query Parameters

textstring

search text in firstname, lastname, email, phone and ID

pagestring

The page number to return

Format: "int64"
pageSizestring

the max number of rows returned

Format: "int64"
curl -X GET "https://example.com/profiles?text=%3Cstring%3E&page=%3Cstring%3E&pageSize=%3Cstring%3E" \
  -H "Authorization: <token>"

A successful response.

{
  "profiles": [
    {
      "id": "string",
      "email": "string",
      "firstName": "string",
      "lastName": "string",
      "ipAddress": "string",
      "language": "string",
      "address": "string",
      "zipCode": "string",
      "city": "string",
      "state": "string",
      "country": "string",
      "phone": "string",
      "company": "string",
      "metaData": "string",
      "birthDate": "string",
      "timezone": "string",
      "password": "string"
    }
  ],
  "page": "string",
  "total": "string",
  "pages": "string"
}